'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactJsonschemaFormUngp = require('react-jsonschema-form-ungp');

var _reactJsonschemaFormUngp2 = _interopRequireDefault(_reactJsonschemaFormUngp);

var _formTransformer = require('./formTransformer');

var _CustomArrayField = require('./widgets/CustomArrayField');

var _CustomArrayField2 = _interopRequireDefault(_CustomArrayField);

var _CustomFieldTemplate = require('./widgets/CustomFieldTemplate');

var _CustomFieldTemplate2 = _interopRequireDefault(_CustomFieldTemplate);

var _H1Widget = require('./widgets/H1Widget');

var _H1Widget2 = _interopRequireDefault(_H1Widget);

var _TextFieldWidget = require('./widgets/mui/TextFieldWidget');

var _TextFieldWidget2 = _interopRequireDefault(_TextFieldWidget);

var _TextareaWidget = require('./widgets/mui/TextareaWidget');

var _TextareaWidget2 = _interopRequireDefault(_TextareaWidget);

var _DatePickerWidget = require('./widgets/mui/DatePickerWidget');

var _DatePickerWidget2 = _interopRequireDefault(_DatePickerWidget);

var _RadioGroupWidget = require('./widgets/mui/RadioGroupWidget');

var _RadioGroupWidget2 = _interopRequireDefault(_RadioGroupWidget);

var _CheckboxesGroupWidget = require('./widgets/mui/CheckboxesGroupWidget');

var _CheckboxesGroupWidget2 = _interopRequireDefault(_CheckboxesGroupWidget);

var _MultipleUploadWidget = require('./widgets/mui/MultipleUploadWidget');

var _MultipleUploadWidget2 = _interopRequireDefault(_MultipleUploadWidget);

require('whatwg-fetch');

require('bootstrap-grid/dist/grid.css');

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function FormDinamicoReactRender(props) {
    var onChange = props.onChange,
        onSubmit = props.onSubmit,
        form = props.form,
        formData = props.formData,
        children = props.children,
        environment = props.environment,
        customWidgets = props.customWidgets,
        rest = _objectWithoutProperties(props, ['onChange', 'onSubmit', 'form', 'formData', 'children', 'environment', 'customWidgets']);

    var handleChange = function handleChange(event) {
        var formData = event.formData;

        onChange((0, _formTransformer.exportFormDataValeus)(formData));
    };

    var handleSubmit = function handleSubmit(event) {
        var formData = event.formData;

        onSubmit((0, _formTransformer.exportFormDataValeus)(formData));
    };

    var formProps = _extends({}, rest, {
        className: 'container-fluid',
        schema: (0, _formTransformer.formToJSONSchema)(form),
        uiSchema: (0, _formTransformer.formToUISchema)(form, environment),
        formData: _extends({}, (0, _formTransformer.formDefaultValues)(form), (0, _formTransformer.formDataValues)(formData)),
        FieldTemplate: _CustomFieldTemplate2.default,
        fields: {
            ArrayField: _CustomArrayField2.default
        },
        onChange: handleChange,
        onSubmit: handleSubmit
    });

    var formWidgets = _extends({
        TextareaWidget: _TextareaWidget2.default,
        TextWidget: _TextFieldWidget2.default,
        dateWidget: _DatePickerWidget2.default,
        h1Widget: _H1Widget2.default,
        radio: _RadioGroupWidget2.default,
        checkboxes: _CheckboxesGroupWidget2.default,
        'file-multiple': _MultipleUploadWidget2.default
    }, customWidgets);

    var FormWithLayout = (0, _reactJsonschemaFormUngp.withLayout)(_reactJsonschemaFormUngp2.default);

    return _react2.default.createElement(
        FormWithLayout,
        _extends({}, formProps, {
            widgets: formWidgets
        }),
        children
    );
}

FormDinamicoReactRender.propTypes = process.env.NODE_ENV !== "production" ? {
    form: _propTypes2.default.shape({
        elements: _propTypes2.default.array
    }).isRequired,
    formData: _propTypes2.default.any,
    customWidgets: _propTypes2.default.object,
    /* event handlers */
    onChange: _propTypes2.default.func,
    onError: _propTypes2.default.func,
    onSubmit: _propTypes2.default.func,
    /**/
    environment: _propTypes2.default.shape({
        upload: _propTypes2.default.shape({
            url: _propTypes2.default.string.isRequired,
            config: _propTypes2.default.object.isRequired
        }),
        customProps: _propTypes2.default.object
    })
} : {};

exports.default = FormDinamicoReactRender;
module.exports = exports['default'];