'use strict';

exports.__esModule = true;
exports.formatDateStringToISO = exports.toDateString = exports.isDateValid = undefined;

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isDateValid = exports.isDateValid = function isDateValid() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

    if (!value || typeof value !== 'string') {
        return false;
    }

    return (0, _moment2.default)(value, [_moment2.default.ISO_8601, 'L'], 'pt-br', true).isValid();
};

var toDateString = exports.toDateString = function toDateString() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    return (0, _moment2.default)(value).format('L');
};

var formatDateStringToISO = exports.formatDateStringToISO = function formatDateStringToISO() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    return (0, _moment2.default)(value, 'L', 'pt-br').toISOString();
};