'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _KeyboardArrowLeft = require('material-ui-icons/KeyboardArrowLeft');

var _KeyboardArrowLeft2 = _interopRequireDefault(_KeyboardArrowLeft);

var _KeyboardArrowRight = require('material-ui-icons/KeyboardArrowRight');

var _KeyboardArrowRight2 = _interopRequireDefault(_KeyboardArrowRight);

var _materialUiPickers = require('material-ui-pickers');

var _IconButton = require('material-ui/IconButton');

var _IconButton2 = _interopRequireDefault(_IconButton);

var _Input = require('material-ui/Input');

var _Close = require('material-ui-icons/Close');

var _Close2 = _interopRequireDefault(_Close);

require('moment/locale/pt-br');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// TODO: https://github.com/dmtrKovalenko/material-ui-pickers/issues/125
// TODO: Quando a data estiver nula, vai aparecer a data atual, aguardar issue do componente
function DatePickerWidget(props) {
    var value = props.value,
        readonly = props.readonly,
        disabled = props.disabled,
        autofocus = props.autofocus,
        onBlur = props.onBlur,
        onFocus = props.onFocus,
        options = props.options,
        schema = props.schema,
        formContext = props.formContext,
        registry = props.registry,
        type = props.type,
        inputProps = _objectWithoutProperties(props, ['value', 'readonly', 'disabled', 'autofocus', 'onBlur', 'onFocus', 'options', 'schema', 'formContext', 'registry', 'type']);

    var onChange = function onChange(value) {
        var formatted = value ? value.toISOString() : options.emptyValue;

        return props.onChange(formatted);
    };

    var handleClearClick = function handleClearClick(event) {
        event.stopPropagation();
        return props.onChange('');
    };

    var textFieldProps = value ? {
        endAdornment: _react2.default.createElement(
            _Input.InputAdornment,
            { position: 'end' },
            _react2.default.createElement(
                _IconButton2.default,
                { onClick: handleClearClick },
                _react2.default.createElement(_Close2.default, null)
            )
        )
    } : {};

    return _react2.default.createElement(_materialUiPickers.DatePicker, _extends({}, inputProps, {
        value: value,
        invalidLabel: '',
        format: 'L',
        onChange: onChange,
        onBlur: onBlur && function (event) {
            return onBlur(inputProps.id, event.target.value);
        },
        onFocus: onFocus && function (event) {
            return onFocus(inputProps.id, event.target.value);
        },
        leftArrowIcon: _react2.default.createElement(_KeyboardArrowLeft2.default, null),
        rightArrowIcon: _react2.default.createElement(_KeyboardArrowRight2.default, null),
        readOnly: readonly,
        disabled: disabled || readonly,
        cancelLabel: 'Cancelar',
        InputProps: textFieldProps
    }));
}

DatePickerWidget.defaultProps = {
    type: 'date',
    required: false,
    disabled: false,
    readonly: false,
    autofocus: false
};

DatePickerWidget.propTypes = process.env.NODE_ENV !== "production" ? {
    id: _propTypes2.default.string.isRequired,
    placeholder: _propTypes2.default.string,
    value: _propTypes2.default.any,
    required: _propTypes2.default.bool,
    disabled: _propTypes2.default.bool,
    readonly: _propTypes2.default.bool,
    autofocus: _propTypes2.default.bool,
    onChange: _propTypes2.default.func,
    onBlur: _propTypes2.default.func,
    onFocus: _propTypes2.default.func
} : {};

exports.default = DatePickerWidget;
module.exports = exports['default'];